Skip to main content
GET
/
v1beta
/
organizations
/
{organization_id}
/
invites
TypeScript
import { Factify } from "@factify/sdk";

const factify = new Factify({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await factify.organizations.invites.list({
    organizationId: "<id>",
  });

  for await (const page of result) {
    console.log(page);
  }
}

run();
{
  "pagination": {
    "has_more": true,
    "next_page_token": "eyJpZCI6ImRvY18wMWgyeGNlanF0ZjJuYnJleHgzdnFqaHA0MSIsImQiOiJuZXh0In0",
    "prev_page_token": "eyJpZCI6ImRvY18wMWgyeGNlanF0ZjJuYnJleHgzdnFqaHA0MSIsImQiOiJwcmV2In0"
  },
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "email": "dwight@dundermifflin.com",
      "expires_at": "2023-11-07T05:31:56Z",
      "id": "inv_01h2xcejqtf2nbrexx3vqjhp41",
      "organization_id": "org_01h2xcejqtf2nbrexx3vqjhp41",
      "sender": {
        "id": "user_01h2xcejqtf2nbrexx3vqjhp41",
        "name": "John Doe",
        "type": "user_account"
      },
      "status": "pending",
      "accepted_at": "2023-11-07T05:31:56Z",
      "accepted_by": {
        "id": "user_01h2xcejqtf2nbrexx3vqjhp41",
        "name": "John Doe",
        "type": "user_account"
      },
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Path Parameters

organization_id
string
required

Organization to list invitations for. Pattern: org_[0-9a-hjkmnp-tv-z]{26}

Pattern: ^org_[0-9a-hjkmnp-tv-z]{26}$

Query Parameters

status
enum<string>[]

Filter by invitation status. If empty, returns all invitations. REST: ?status=pending or ?status=pending&status=expired

Available options:
pending,
accepted,
expired,
revoked
page_token
string

Opaque pagination token from a previous response.

page_size
integer<int32>

Maximum number of items to return per page (1-100). Default: 50.

Required range: 1 <= x <= 100
email.contains
string

Case-insensitive substring match. REST: ?field.contains=value

email.exact
string

Exact match (case-sensitive). REST: ?field.exact=value

sender_id
string

Filter by sender. Only returns invitations sent by this user. REST: ?sender_id=user_01h2xcejqtf2nbrexx3vqjhp41 Pattern: user_[0-9a-hjkmnp-tv-z]{26}

Pattern: ^user_[0-9a-hjkmnp-tv-z]{26}$
created.after
string<date-time>

Filter by created.after (RFC 3339 format, e.g., 2024-01-15T09:30:00Z)

Response

Success

ListOrganizationInvitesResponse contains a page of invitations.

pagination
pagination · object
required

Pagination metadata.

items
OrganizationInvite · object[]

List of invitations.